#ifndef CONST_H
#define CONST_H

const int DIACRITIC = 0;
const int BEFORE = 1;
const int FOLLOWING = 2;
const int DOUBLED = 3;

const int PHON_APPL = 0;
const int SYLL_APPL = 1;

const int V0_1 = 0;
const int V0_2 = 1;

const QStringList wordFields =
  QStringList () << "Word" << "Type" << "Subtype" << "Definition";

const QStringList diacriticChars =
  QStringList () << QString::fromUtf8 ("Á") << QString::fromUtf8 ("É")
                 << QString::fromUtf8 ("Í") << QString::fromUtf8 ("Ó")
                 << QString::fromUtf8 ("Ú") << QString::fromUtf8 ("Ý")
                 << QString::fromUtf8 ("á") << QString::fromUtf8 ("é")
                 << QString::fromUtf8 ("í") << QString::fromUtf8 ("ó")
                 << QString::fromUtf8 ("ú") << QString::fromUtf8 ("ý")
                 << QString::fromUtf8 ("À") << QString::fromUtf8 ("È")
                 << QString::fromUtf8 ("Ì") << QString::fromUtf8 ("Ò")
                 << QString::fromUtf8 ("Ù") << QString::fromUtf8 ("Ỳ")
                 << QString::fromUtf8 ("à") << QString::fromUtf8 ("è")
                 << QString::fromUtf8 ("ì") << QString::fromUtf8 ("ò")
                 << QString::fromUtf8 ("ù") << QString::fromUtf8 ("ỳ")
                 << QString::fromUtf8 ("Â") << QString::fromUtf8 ("Ê")
                 << QString::fromUtf8 ("Î") << QString::fromUtf8 ("Ô")
                 << QString::fromUtf8 ("Û") << QString::fromUtf8 ("Ŷ")
                 << QString::fromUtf8 ("â") << QString::fromUtf8 ("ê")
                 << QString::fromUtf8 ("î") << QString::fromUtf8 ("ô")
                 << QString::fromUtf8 ("û") << QString::fromUtf8 ("ŷ")
                 << QString::fromUtf8 ("Ä") << QString::fromUtf8 ("Ë")
                 << QString::fromUtf8 ("Ï") << QString::fromUtf8 ("Ö")
                 << QString::fromUtf8 ("Ü") << QString::fromUtf8 ("Ÿ")
                 << QString::fromUtf8 ("ä") << QString::fromUtf8 ("ë")
                 << QString::fromUtf8 ("ï") << QString::fromUtf8 ("ö")
                 << QString::fromUtf8 ("ü") << QString::fromUtf8 ("ÿ")
                 << QString::fromUtf8 ("Ā") << QString::fromUtf8 ("Ē")
                 << QString::fromUtf8 ("Ī") << QString::fromUtf8 ("Ō")
                 << QString::fromUtf8 ("Ū") << QString::fromUtf8 ("Ȳ")
                 << QString::fromUtf8 ("ā") << QString::fromUtf8 ("ē")
                 << QString::fromUtf8 ("ī") << QString::fromUtf8 ("ō")
                 << QString::fromUtf8 ("ū") << QString::fromUtf8 ("ȳ");
                 
const QStringList plainChars = 
  QStringList () << "A" << "E" << "I" << "O" << "U" << "Y" << "a" << "e" << "i"
                 << "o" << "u" << "y";

#endif