#ifndef PHONEME_H
#define PHONEME_H

#include <QObject>
#include <QStringList>

class Phoneme : public QObject  {
  Q_OBJECT
  
  public:
    Phoneme (QString);

    QString getName ();
    QStringList getSpellings ();
    QString getSpellingsText ();
    QString getNotes ();
    QString getSaveOutput ();

    void setName (QString);
    void setSpellings (QString);
    void addSpelling (QString);
    void setNotes (QString);

  private:
    QString name;
    QStringList spellings;
    QString notes;
};

#endif